Subject: Re: [PATCH] run-command.c: need alloc.h for our own at-exit handler emulation

From: Junio C Hamano <[email-masked]>
Date: Tue, 16 May 2023 11:44:36 -0700

Taylor Blau <[email-masked]> writes:

> OK, having now read both completely, I would say I have a vague
> preference for my version since it keeps the include at the top and
> unconditional, and has slightly more information in the patch message.
>
> But I do not prefer it so much over yours that I would be sad if you had
> already queued yours and didn't want to bother shuffling it around.

I do not have much preference between the two, either.  Both lack
one important description that we are reasonably confident that this
breakage is limited to run-command.c and no other files.

Thanks.